Loading...
Searching...
No Matches
casacore::RigidVector_global_functions_math Struct Reference
scimath package (libcasa_scimath) » Mathematics_module

Mathematical operations involving RigidVectors . More...

`#include <RigidVector.h>`

## Public Member Functions

RigidVector< Float, 4 > | operator* (const SquareMatrix< Float, 4 > &m, const RigidVector< Float, 4 > &v)
| Multiply vector by matrix.
RigidVector< Complex, 4 > | operator* (const SquareMatrix< Complex, 4 > &m, const RigidVector< Complex, 4 > &v)
| Multiply vector by matrix.

## Detailed Description

Mathematical operations involving RigidVectors .

Definition at line 270 of file RigidVector.h.

## Member Function Documentation

## operator*() [1/2]

RigidVector< Complex, 4 > casacore::RigidVector_global_functions_math::operator* | ( | const SquareMatrix< Complex, 4 > & | m,
|  | const RigidVector< Complex, 4 > & | v )

inline

Multiply vector by matrix.

Definition at line 285 of file RigidVector.h.

## operator*() [2/2]

RigidVector< Float, 4 > casacore::RigidVector_global_functions_math::operator* | ( | const SquareMatrix< Float, 4 > & | m,
|  | const RigidVector< Float, 4 > & | v )

inline

Multiply vector by matrix.

Definition at line 279 of file RigidVector.h.

The documentation for this struct was generated from the following file:

- scimath/Mathematics/RigidVector.h